<div style="margin-bottom:10px;">
    <button class="btn btn-primary btn-block" (click)="refineAll()">
        <i class="fa fa-refresh" aria-hidden="true"></i> Refine 
    </button>
</div>
<p-dataList *ngIf="isShow" 
            
            [value]="motors" 
            [paginator]="true" 
            [rows]="itemsPerPage"
            [lazy]="true"
            (onLazyLoad)="loadDataLazy($event)"  
            [totalRecords]="totalItems" 
            [trackBy]="trackId"
            [rowsPerPageOptions]="[10,15,20]" >
    <p-header>
            List Motor
            <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                  name="currentSearch" placeholder="{{ 'mpmApp.motor.home.search' | translate }}">
                            <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
            </div>
    </p-header>
    <ng-template let-motor pTemplate="motors">
        <div [routerLink]="['../motor-catalog/' + motor.idProduct + '/detail']" style="padding:5px;border-bottom:1px solid #d9d9d9;">
            <div class="ui-g ui-fluid">
                <div class="ui-sm-4 ui-md-2" style="text-align:center;">
                    <i class="fa fa-motorcycle fa-3x" aria-hidden="true"></i>
                </div>
                <div class="ui-md-10 ui-sm-8">
                    <div style="font-weight:bold;font-size:1em;text-transform: uppercase;">{{motor.id}} - {{motor.name}}</div>
                    <div>Description: {{motor.description}}</div>
                </div>
            </div>
        </div>
    </ng-template>
</p-dataList>
<jhi-fetching-data *ngIf="!isShow"></jhi-fetching-data>
